# C3InfoDesk Deployment



## WIP
- [x] Finish the roles for deploying the **c3InfoDesk Printer**.
    - [x] dependencies
    - [x] clone_repositories
    - [x] docker_images
    - [x] docker_containers
- [ ] Set ansible-lint for the roles.


## What is this?
This is a repo for deploying the the printer system used at the c3infodesk for printing EXTREMILY NECESSARY documents.


## Roles
Here are the used roles:

- [dependencies](roles/dependencies/README.md)
- [clone_repositories](roles/clone_repositories/README.md)
- [docker_images](roles/docker_images/README.md)
- [docker_containers](roles/docker_containers/README.md)

## How to use this
- 1. Clone this repo.
- 2. Edit the files.
    - Set your **remote_user** configuration at the **ansible.cfg** file.
    - Set your **inventories/host_vars/<TARGET_NAME>** file.
- 3. Run the playbooks
    - Example for deploying the containers at the target:
    ```bash
    ansible-playbook -i inventories/hosts playbook_example_05_docker_containers.yml
    ```
- 4. Change the default environment variables setted from the [docker-compose.yml](https://git.cccv.de/fejao/c3infodesk-printer/-/blob/main/docker/docker-compose.yml) file to your needs and recreate the containers.

## License

MIT / BSD

## Author Information

![fejao logo](files/from_authors/fejao_logo_circle.png "fejao") [https://chaos.social/@fejao](https://chaos.social/@fejao)




